name: xltoolbox.net
services:
  build:
    image: ghcr.io/gohugoio/hugo:latest
    command: build --minify
    volumes:
      - ".:/project"
    user: 1000:1000
    environment:
      HUGO_ENVIRONMENT: production
  server:
    image: ghcr.io/gohugoio/hugo:latest
    command: server --bind 0.0.0.0 -M --buildDrafts --buildFuture
    volumes:
      - ".:/project"
      - "../../hugo_bootstrap_theme:/hugo_bootstrap_theme"
      - "../../hugo_cookie_consent:/hugo_cookie_consent"
    ports:
      - "127.0.0.1:1313:1313"
    user: 1000:1000
    environment:
      HUGO_ENVIRONMENT: development
      TZ: Europe/Berlin
